Bug 29277 - Replace the use of jQueryUI tabs on item circulation alerts page
Summary: Replace the use of jQueryUI tabs on item circulation alerts page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29226 29998 29999 30000 30227 30316 30317
  Show dependency treegraph
 
Reported: 2021-10-19 15:03 UTC by Owen Leonard
Modified: 2022-03-18 15:34 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 29277: Replace the use of jQueryUI tabs on item circulation alerts page (314.89 KB, patch)
2022-01-21 12:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29277: Replace the use of jQueryUI tabs on item circulation alerts page (314.94 KB, patch)
2022-01-23 20:34 UTC, David Nind
Details | Diff | Splinter Review
Bug 29277: Replace the use of jQueryUI tabs on item circulation alerts page (315.02 KB, patch)
2022-02-02 09:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Screenshot with patch (218.61 KB, image/png)
2022-02-11 00:19 UTC, Fridolin Somers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-10-19 15:03:32 UTC
As part of Bug 29226, "OMNIBUS: Replace the use of jQueryUI tabs," we should replace the use of the jQueryUI tabs component on the "Item circulation alerts" page.
Comment 1 Owen Leonard 2022-01-21 12:48:35 UTC Comment hidden (obsolete)
Comment 2 David Nind 2022-01-23 20:34:52 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2022-02-01 15:27:57 UTC
Before: https://snipboard.io/HLlery.jpg
After : https://snipboard.io/gjpMyc.jpg

We are loosing some borders and the tabs are less obvious. Is that expected?
Comment 4 Owen Leonard 2022-02-01 16:43:47 UTC
(In reply to Jonathan Druart from comment #3)

> We are loosing some borders and the tabs are less obvious. Is that expected?

No, I think you are seeing cached CSS. Please clear the browser cache and try again.
Comment 5 Jonathan Druart 2022-02-02 09:11:19 UTC
Created attachment 130061 [details] [review]
Bug 29277: Replace the use of jQueryUI tabs on item circulation alerts page

This patch replaces jQueryUI tabs on the item circulation alerts page as
a simple example to start the process of switching how we implement
tabbed interfaces.

The patch bumps the Bootstrap version from 3.3.7 to 3.4.1 and adds the
tabs component.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Go to Administration -> Item circulation alerts.
- Confirm that the "Checkout" and "Check-in" tabs look correct and work
  correctly.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2022-02-02 09:11:53 UTC
(In reply to Owen Leonard from comment #4)
> (In reply to Jonathan Druart from comment #3)
> 
> > We are loosing some borders and the tabs are less obvious. Is that expected?
> 
> No, I think you are seeing cached CSS. Please clear the browser cache and
> try again.

Indeed! It was sticky!
Comment 7 Fridolin Somers 2022-02-11 00:19:04 UTC
Created attachment 130479 [details]
Screenshot with patch

Indeed it works after a refresh of browser cache.
Here is a screenshot.
Comment 8 Fridolin Somers 2022-02-11 00:37:35 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄